# makefile for panorama stitching, created by hugin 

# the output panorama
TARGET_PREFIX=harbor
TARGET=harbor.tif
PROJECT_FILE=/mnt/media/pictures/2008/2008-05-29/harbor.pto

# Input images
INPUT_IMAGES=/mnt/media/pictures/2008/2008-05-29/sta_3359.jpg /mnt/media/pictures/2008/2008-05-29/stb_3360.jpg /mnt/media/pictures/2008/2008-05-29/stc_3361.jpg /mnt/media/pictures/2008/2008-05-29/std_3362.jpg /mnt/media/pictures/2008/2008-05-29/ste_3363.jpg /mnt/media/pictures/2008/2008-05-29/stf_3364.jpg /mnt/media/pictures/2008/2008-05-29/stg_3365.jpg /mnt/media/pictures/2008/2008-05-29/sth_3366.jpg /mnt/media/pictures/2008/2008-05-29/sti_3367.jpg /mnt/media/pictures/2008/2008-05-29/stj_3368.jpg /mnt/media/pictures/2008/2008-05-29/stk_3369.jpg /mnt/media/pictures/2008/2008-05-29/stl_3370.jpg /mnt/media/pictures/2008/2008-05-29/stm_3371.jpg /mnt/media/pictures/2008/2008-05-29/stn_3372.jpg /mnt/media/pictures/2008/2008-05-29/sto_3373.jpg /mnt/media/pictures/2008/2008-05-29/stp_3374.jpg /mnt/media/pictures/2008/2008-05-29/stq_3375.jpg /mnt/media/pictures/2008/2008-05-29/str_3376.jpg /mnt/media/pictures/2008/2008-05-29/sts_3377.jpg /mnt/media/pictures/2008/2008-05-29/stt_3378.jpg /mnt/media/pictures/2008/2008-05-29/stu_3379.jpg /mnt/media/pictures/2008/2008-05-29/stv_3380.jpg /mnt/media/pictures/2008/2008-05-29/stw_3381.jpg /mnt/media/pictures/2008/2008-05-29/stx_3382.jpg /mnt/media/pictures/2008/2008-05-29/sty_3383.jpg 

# remapped images
REMAPPED_IMAGES=harbor0000.tif harbor0001.tif harbor0002.tif harbor0003.tif harbor0004.tif harbor0005.tif harbor0006.tif harbor0007.tif harbor0008.tif harbor0009.tif harbor0010.tif harbor0011.tif harbor0012.tif harbor0013.tif harbor0014.tif harbor0015.tif harbor0016.tif harbor0017.tif harbor0018.tif harbor0019.tif harbor0020.tif harbor0021.tif harbor0022.tif harbor0023.tif harbor0024.tif 

# Tool configuration
NONA=nona
PTSTITCHER=PTStitcher
PTMENDER=PTmender
PTBLENDER=PTblender
PTMASKER=PTmasker
PTROLLER=PTroller
ENBLEND=enblend
SMARTBLEND=smartblend.exe

# options for the programs
ENBLEND_OPTS=-v -z -w -f14860x3715


# including template /usr/share/hugin/xrc/data/nona_enblend.mk
# Rules for generating the pano

all: $(TARGET)

clean: $(REMAPPED_IMAGES)
	$(RM) $(REMAPPED_IMAGES)

$(REMAPPED_IMAGES): $(INPUT_IMAGES)
	$(NONA) -o $(TARGET_PREFIX) $(PROJECT_FILE)

$(TARGET): $(REMAPPED_IMAGES)
	$(RM) $(TARGET)
	$(ENBLEND) $(ENBLEND_OPTS) -o $(TARGET) $(REMAPPED_IMAGES)


